phpBB2Refugees.com Logo
Not affiliated with or endorsed by the phpBB Group

Register •  Login 

Continue the legacy...

Welcome to all phpBB2 Refugees!Wave Smilie

This site is intended to continue support for the legacy 2.x line of the phpBB2 bulletin board package. If you are a fan of phpBB2, please, by all means register, post, and help us out by offering your suggestions. We are primarily a community and support network. Our secondary goal is to provide a phpBB2 MOD Author and Styles area.

Upgrading to phpbb 2.024 - Mod Conflict


 
Search this topic... | Search General Support... | Search Box
Register or Login to Post    Index » General Support  Previous TopicPrint TopicNext Topic
Author Message
Pl2k
Board Member



Joined: 29 Mar 2009

Posts: 2



PostPosted: Sun Mar 29, 2009 6:47 am 
Post subject: Upgrading to phpbb 2.024 - Mod Conflict

Hello,

I am attempting to upgrade my forum to phpbb 2.024 using the code changes file, however I have a Junior Admin mod that has replaced one of the lines required for the upgrade. If I leave this line out, the upgrade completes still and everything seems to function, however the possibility of affecting security has me worried.

The following changes in includes/page_tail.php are the problem:

Code:
#
#-----[ IN-LINE FIND ]---------------------------------------------
#
$userdata['session_id']

#
#-----[ IN-LINE AFTER, ADD ]---------------------------------------------
#
. '&p_sid=' . $userdata['priv_session_id']


Here is the current entry in my page_tail.php

Code:
include_once($phpbb_root_path . 'includes/functions_jr_admin.' . $phpEx);
$admin_link = jr_admin_make_admin_link();


I noticed this line links to the includes/functions_jr_admin file (attached).

However, I checked the code for all lines with $userdata['session_id'] in that file, and added the . '&p_sid=' . $userdata['priv_session_id'] line after them, and the admin panel seems to work, although with duplicate looking session ID's. However I'm unsure if this actually performed the fix.

Did I do the correct change, or do I need to look elsewhere to change the code?

Thanks in advance for any help.



functions_jr_admin.txt
 Description:

Download
 Filename:  functions_jr_admin.txt
 Filesize:  12.45 KB
 Downloaded:  687 Time(s)

Back to top
Ram
Board Member



Joined: 23 Dec 2008

Posts: 100
Location: Somewhere over the rainbow


flag
PostPosted: Sun Mar 29, 2009 8:12 am 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

You should remove Junior Admin, there is security bugs (at least one recognized).
Back to top
lumpy burgertushie
Board Member



Joined: 19 Nov 2008

Posts: 221


flag
PostPosted: Sun Mar 29, 2009 4:08 pm 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

as far as I know, nobody has worked on the jr admin MOD for a couple of years and it is way out of date.

and where did you find a code changes file for an update to .24?

there has been no release of 2.0.24 that I know of.

robert
Back to top
Jim_UK
Board Member



Joined: 19 Nov 2008

Posts: 551
Location: North West UK


flag
PostPosted: Sun Mar 29, 2009 5:01 pm 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

lumpy burgertushie wrote:

and where did you find a code changes file for an update to .24?

there has been no release of 2.0.24 that I know of.

robert


There has not been an official release Robert.
Dog Cow has produced one from the theCVS that was on Sourceforge. It seems the team were working on one but for some reason dropped it.
I have tried this on my own test site and there is some sort of conflict with another mod as I get "invalid session" errors.

Dog Cow wrote:

http://dserver.macgui.com/phpBB-2.0.24-codechanges.zip

That's the fix. It will not mess up any MOD, style, or any other such thing.

There's been some misinformation spread around, unfortunately, but I believe it is safe to use phpBB 2.0.24. It certainly fixes the problem about which I started this topic.



Jim
Back to top
Dog Cow
Board Member



Joined: 18 Nov 2008

Posts: 378


flag
PostPosted: Sun Mar 29, 2009 5:33 pm 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

Well, it's safe to say that I over-generalized when I said "will not conflict with any MOD", but there were people out there spreading the idea that it would conflict with nearly every MOD, and that is not the case.
_________________
Moof!
Lincoln's Tomb, Oak Ridge Cemetery, Springfield IL Mac 512K Blog Mac GUI
Back to top
Pl2k
Board Member



Joined: 29 Mar 2009

Posts: 2



PostPosted: Mon Mar 30, 2009 12:48 am 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

Ram wrote:
You should remove Junior Admin, there is security bugs (at least one recognized).


Thanks Ram, the previous admin installed it and I couldn't find any sites that listed security bugs for it, but I removed it anyways, I'd rather not risk a security issue.

The only problem I have now is with splitting posts, I removed the merge and split mod I had installed, and I'm still getting invalid session errors. Has anyone found a possible cause or fix for that issue?
Back to top
Ram
Board Member



Joined: 23 Dec 2008

Posts: 100
Location: Somewhere over the rainbow


flag
PostPosted: Mon Mar 30, 2009 9:27 am 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

I have some links but in french...

Well the merge MOD works fine with bb2.0.24
Back to top
Jim_UK
Board Member



Joined: 19 Nov 2008

Posts: 551
Location: North West UK


flag
PostPosted: Mon Mar 30, 2009 1:04 pm 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

Should we call this 2.0.24 as there has been no official release of this?
Would any possible future fork be from this or would it be from the last official release?

I stay at 2.0.23 for the time being.

Jim
Back to top
Ram
Board Member



Joined: 23 Dec 2008

Posts: 100
Location: Somewhere over the rainbow


flag
PostPosted: Tue Mar 31, 2009 9:15 am 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

It is what we found on wikipedia :

Quote:
The last official release of the 2.0.x line is 2.0.23, released on February 17, 2008. However, the code for phpBB 2.0.24 still remains, unreleased, in the SVN repository.
Back to top
~Cowboy~
Board Member



Joined: 08 Dec 2008

Posts: 297
Location: Chicago


flag
PostPosted: Wed Apr 01, 2009 6:40 pm 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

I think its still phpbb 2.0.24 Just because they are holding back the official release until forever doesn't really change that I don't think.
_________________
Image link
We are not refugees we are trail blazers. icon_wink.gif
Back to top
Red Dog
Board Member



Joined: 06 Mar 2009

Posts: 41


flag
PostPosted: Sun Apr 12, 2009 7:26 pm 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

I am using Moderator CP. Do you guys think it would be incompatible with v2.0.24? icon_confused.gif Well, if I'll have to choose between this two, I choose to stay where I am. icon_rolleyes.gif
Back to top
Dog Cow
Board Member



Joined: 18 Nov 2008

Posts: 378


flag
PostPosted: Mon Apr 13, 2009 5:24 pm 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

Red Dog wrote:
I am using Moderator CP. Do you guys think it would be incompatible with v2.0.24? icon_confused.gif Well, if I'll have to choose between this two, I choose to stay where I am. icon_rolleyes.gif

Not at first, though the changes would be trivial.

It's kind of ironic that you'd pick to stay with phpbb 2.0.23, because the fix in .24 is FOR the modcp. icon_lol.gif

_________________
Moof!
Lincoln's Tomb, Oak Ridge Cemetery, Springfield IL Mac 512K Blog Mac GUI
Back to top
Jim_UK
Board Member



Joined: 19 Nov 2008

Posts: 551
Location: North West UK


flag
PostPosted: Mon Apr 13, 2009 5:41 pm 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

modcp and not moderator control panel which adds a control panel similar to the admin one but for moderator use. The Admin can activate or not the various Admin CP modules. I also have this mod and wonder if that might be the issue I have with sessions errors when "updating"


Jim
Back to top
Dog Cow
Board Member



Joined: 18 Nov 2008

Posts: 378


flag
PostPosted: Mon Apr 13, 2009 5:43 pm 
Post subject: Re: Upgrading to phpbb 2.024 - Mod Conflict

I realize they're not the same thing, but my remark still stands!
_________________
Moof!
Lincoln's Tomb, Oak Ridge Cemetery, Springfield IL Mac 512K Blog Mac GUI
Back to top
Display posts from previous:   
Register or Login to Post    Index » General Support  Previous TopicPrint TopicNext Topic
Page 1 of 1 All times are GMT
 
Jump to:  

Index • About • FAQ • Rules • Privacy • Search •  Register •  Login 
Not affiliated with or endorsed by the phpBB Group
Powered by phpBB2 © phpBB Group
Generated in 0.0309 seconds using 17 queries. (SQL 0.0030 Parse 0.0024 Other 0.0255)
phpBB Customizations by the phpBBDoctor.com
Template Design by DeLFlo and MomentsOfLight.com Moments of Light Logo